Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601991 - resource "picker" for specific-resource mode for operation-based alert sender throws exception
resource "picker" for specific-resource mode for operation-based alert sender...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sudhir D
:
Depends On:
Blocks: jon-sprint11-bugs 602194
  Show dependency treegraph
 
Reported: 2010-06-08 20:50 EDT by Joseph Marques
Modified: 2010-08-12 12:51 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-08 20:50:01 EDT
Description of problem:

The operation-based alert sender allows executing an operation on a specific other resource by specifying the resourceId (primary key) of that resource.  There is a button labeled "Pick" which pops open a modified inventory/resource browser to allow the user full access to the SearchBar to find the other resource in question.  But when the user types something into the SearchBar, an exception is thrown (see actual results below)

Steps to Reproduce:
1. Create an alert notification (create an alert definition if necessary)
2. Select "resource operation" type
3. select "specific resource" mode option
4. Click the button labeled "Pick"
5. In the windows that pops open, type a few (any) chars into the SearchBar

Actual results:

Exception during request processing:
Caused by javax.servlet.ServletException with message: "/rhq/inventory/resourcePicker.xhtml @52,52 suggestionAction="#{BrowseResourcesUIBean.autocomplete}": Method not found: org.rhq.enterprise.gui.inventory.browse.BrowseResourcesUIBean@f2453c.autocomplete(java.lang.Object)"

Expected results:

the SearchBar works

Additional info:
Comment 1 Joseph Marques 2010-06-09 11:48:14 EDT
commit c5915c8806a44de879787fd5a3f883203900c829
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 9 02:36:26 2010 -0400

    BZ-601991: fix resource "picker" for specific-resource mode for operation-based alert sender
    
    * simplify picker-popup by removing resource tabs
    ** this was broken anyway (resourcePicker.xhtml had no JSF nav rules)
    * update resourcePicker.xhtml to use GWT-based SearchBar instead of just a plain text input
    * appropriately size the popup so that scrollbars will not display by default
Comment 2 Sudhir D 2010-06-10 11:35:38 EDT
I verified this against the Beta build 2.4.0.Beta01. I did not get any exception while searched for the resource and picked the suggested. 

Marking this bug as verified.
Comment 3 Corey Welton 2010-08-12 12:51:04 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.